﻿using System;
using System.Windows.Media;

namespace ManDressEvidence
{
    public class Dress
    {
        public string Name { get; set; }
        public uint Size { get; set; }
      
        public override string ToString()
        {
            return string.Format("{0};{1}",Name,Size);
        }

        public static Dress parse(string line)
        {
            Dress result = new Dress();
            String[] parts = line.Split(';');
            if (parts.Length != 2)
            {
                throw new FormatException("Invalid input line format.");
            }
            result.Name = parts[0];
            result.Size = uint.Parse(parts[1]);
            return result;
        }
    }
}